using MotorPlantDataModels.Models;
using System.ComponentModel;

namespace MotorPlantContracts.ViewModels
{
    public class EngineViewModel : IEngineModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string EngineName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> EngineComponents
        {
            get;
            set;
        } = new();
    }
}
